using System.Text.Json.Serialization;

namespace Adaptation.FileHandlers.pcl;

#nullable enable

public class WaferSummary
{

    public WaferSummary(string id, string lPDCount, string lPDCM2, string areaCount, string areaTotal, string scratchCount, string scratchTotal, string sumOfDefects, string hazeRegion, string hazeAverage, string grade)
    {
        Id = id;
        LPDCount = lPDCount;
        LPDCM2 = lPDCM2;
        AreaCount = areaCount;
        AreaTotal = areaTotal;
        ScratchCount = scratchCount;
        ScratchTotal = scratchTotal;
        SumOfDefects = sumOfDefects;
        HazeRegion = hazeRegion;
        HazeAverage = hazeAverage;
        Grade = grade;
    }

    public string Id { get; }
    public string LPDCount { get; }
    public string LPDCM2 { get; }
    public string AreaCount { get; }
    public string AreaTotal { get; }
    public string ScratchCount { get; }
    public string ScratchTotal { get; }
    public string SumOfDefects { get; }
    public string HazeRegion { get; }
    public string HazeAverage { get; }
    public string Grade { get; }

}

[JsonSourceGenerationOptions(WriteIndented = true)]
[JsonSerializable(typeof(WaferSummary))]
internal partial class WaferSummarySourceGenerationContext : JsonSerializerContext
{
}