#if v2_39_0
using Adaptation._Tests.Shared;
using Microsoft.Extensions.Logging;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;
using System.Diagnostics;
using System.IO;
using System.Reflection;

namespace Adaptation._Tests.CreateSelfDescription.Staging.v2_39_0;

[TestClass]
public class MET08DDUPSFS6420 : EAFLoggingUnitTesting
{

#pragma warning disable CA2254
#pragma warning disable IDE0060

    internal static string DummyRoot { get; private set; }
    internal static MET08DDUPSFS6420 EAFLoggingUnitTesting { get; private set; }

    static MET08DDUPSFS6420() => DummyRoot = @"\\mesfs.infineon.com\EC_Characterization_Si\Dummy";

    public MET08DDUPSFS6420() : base(DummyRoot, testContext: null, declaringType: null, skipEquipmentDictionary: false)
    {
        if (EAFLoggingUnitTesting is null)
            throw new Exception();
    }

    public MET08DDUPSFS6420(TestContext testContext) : base(DummyRoot, testContext, new StackFrame().GetMethod().DeclaringType, skipEquipmentDictionary: false)
    {
    }

    [ClassInitialize]
    public static void ClassInitialize(TestContext testContext)
    {
        EAFLoggingUnitTesting ??= new MET08DDUPSFS6420(testContext);
        EAFLoggingUnitTesting.Logger.LogInformation(string.Concat(testContext.TestName, " - ClassInitialize"));
        string[] fileNameAndText = EAFLoggingUnitTesting.AdaptationTesting.GetCSharpText(testContext.TestName);
        File.WriteAllText(fileNameAndText[0], fileNameAndText[1]);
        File.WriteAllText(fileNameAndText[2], fileNameAndText[3]);
    }

    [ClassCleanup()]
    public static void ClassCleanup()
    {
        EAFLoggingUnitTesting?.Logger?.LogInformation("Cleanup");
        EAFLoggingUnitTesting?.Dispose();
    }

#if DEBUG
    [Ignore]
#endif
    [TestMethod]
    public void Staging__v2_39_0__MET08DDUPSFS6420__MET08DDUPSFS6420()
    {
        string check = "~IsXToOpenInsightMetrologyViewer";
        MethodBase methodBase = new StackFrame().GetMethod();
        EAFLoggingUnitTesting.Logger.LogInformation(string.Concat(methodBase.Name, " - Getting configuration"));
        _ = AdaptationTesting.GetWriteConfigurationGetFileRead(methodBase, check, EAFLoggingUnitTesting.AdaptationTesting);
        EAFLoggingUnitTesting.Logger.LogInformation(string.Concat(methodBase.Name, " - Exit"));
    }

#if DEBUG
    [Ignore]
#endif
    [TestMethod]
    public void Staging__v2_39_0__MET08DDUPSFS6420__MET08DDUPSFS6420_()
    {
        string check = "~IsXToIQSSi";
        MethodBase methodBase = new StackFrame().GetMethod();
        EAFLoggingUnitTesting.Logger.LogInformation(string.Concat(methodBase.Name, " - Getting configuration"));
        _ = AdaptationTesting.GetWriteConfigurationGetFileRead(methodBase, check, EAFLoggingUnitTesting.AdaptationTesting);
        EAFLoggingUnitTesting.Logger.LogInformation(string.Concat(methodBase.Name, " - Exit"));
    }

#if DEBUG
    [Ignore]
#endif
    [TestMethod]
    public void Staging__v2_39_0__MET08DDUPSFS6420__MET08DDUPSFS6420__()
    {
        string check = "~IsXToIQSGaN";
        MethodBase methodBase = new StackFrame().GetMethod();
        EAFLoggingUnitTesting.Logger.LogInformation(string.Concat(methodBase.Name, " - Getting configuration"));
        _ = AdaptationTesting.GetWriteConfigurationGetFileRead(methodBase, check, EAFLoggingUnitTesting.AdaptationTesting);
        EAFLoggingUnitTesting.Logger.LogInformation(string.Concat(methodBase.Name, " - Exit"));
    }

#if DEBUG
    [Ignore]
#endif
    [TestMethod]
    public void Staging__v2_39_0__MET08DDUPSFS6420__MET08DDUPSFS6420___()
    {
        string check = "~IsXToOpenInsight";
        MethodBase methodBase = new StackFrame().GetMethod();
        EAFLoggingUnitTesting.Logger.LogInformation(string.Concat(methodBase.Name, " - Getting configuration"));
        _ = AdaptationTesting.GetWriteConfigurationGetFileRead(methodBase, check, EAFLoggingUnitTesting.AdaptationTesting);
        EAFLoggingUnitTesting.Logger.LogInformation(string.Concat(methodBase.Name, " - Exit"));
    }

#if DEBUG
    [Ignore]
#endif
    [TestMethod]
    public void Staging__v2_39_0__MET08DDUPSFS6420__MET08DDUPSFS6420____()
    {
        string check = "~IsXToOpenInsightMetrologyViewerAttachments";
        MethodBase methodBase = new StackFrame().GetMethod();
        EAFLoggingUnitTesting.Logger.LogInformation(string.Concat(methodBase.Name, " - Getting configuration"));
        _ = AdaptationTesting.GetWriteConfigurationGetFileRead(methodBase, check, EAFLoggingUnitTesting.AdaptationTesting);
        EAFLoggingUnitTesting.Logger.LogInformation(string.Concat(methodBase.Name, " - Exit"));
    }

#if DEBUG
    [Ignore]
#endif
    [TestMethod]
    public void Staging__v2_39_0__MET08DDUPSFS6420__MET08DDUPSFS6420_____()
    {
        string check = "~IsXToAPC";
        MethodBase methodBase = new StackFrame().GetMethod();
        EAFLoggingUnitTesting.Logger.LogInformation(string.Concat(methodBase.Name, " - Getting configuration"));
        _ = AdaptationTesting.GetWriteConfigurationGetFileRead(methodBase, check, EAFLoggingUnitTesting.AdaptationTesting);
        EAFLoggingUnitTesting.Logger.LogInformation(string.Concat(methodBase.Name, " - Exit"));
    }

#if DEBUG
    [Ignore]
#endif
    [TestMethod]
    public void Staging__v2_39_0__MET08DDUPSFS6420__MET08DDUPSFS6420______()
    {
        string check = "~IsXToSPaCe";
        MethodBase methodBase = new StackFrame().GetMethod();
        EAFLoggingUnitTesting.Logger.LogInformation(string.Concat(methodBase.Name, " - Getting configuration"));
        _ = AdaptationTesting.GetWriteConfigurationGetFileRead(methodBase, check, EAFLoggingUnitTesting.AdaptationTesting);
        EAFLoggingUnitTesting.Logger.LogInformation(string.Concat(methodBase.Name, " - Exit"));
    }

#if DEBUG
    [Ignore]
#endif
    [TestMethod]
    public void Staging__v2_39_0__MET08DDUPSFS6420__MET08DDUPSFS6420_______()
    {
        string check = "~IsXToArchive";
        MethodBase methodBase = new StackFrame().GetMethod();
        EAFLoggingUnitTesting.Logger.LogInformation(string.Concat(methodBase.Name, " - Getting configuration"));
        _ = AdaptationTesting.GetWriteConfigurationGetFileRead(methodBase, check, EAFLoggingUnitTesting.AdaptationTesting);
        EAFLoggingUnitTesting.Logger.LogInformation(string.Concat(methodBase.Name, " - Exit"));
    }

#if DEBUG
    [Ignore]
#endif
    [TestMethod]
    public void Staging__v2_39_0__MET08DDUPSFS6420__MET08DDUPSFS6420________()
    {
        string check = "~IsArchive";
        MethodBase methodBase = new StackFrame().GetMethod();
        EAFLoggingUnitTesting.Logger.LogInformation(string.Concat(methodBase.Name, " - Getting configuration"));
        _ = AdaptationTesting.GetWriteConfigurationGetFileRead(methodBase, check, EAFLoggingUnitTesting.AdaptationTesting);
        EAFLoggingUnitTesting.Logger.LogInformation(string.Concat(methodBase.Name, " - Exit"));
    }

#if DEBUG
    [Ignore]
#endif
    [TestMethod]
    public void Staging__v2_39_0__MET08DDUPSFS6420__MET08DDUPSFS6420_________()
    {
        string check = "~IsDummy";
        MethodBase methodBase = new StackFrame().GetMethod();
        EAFLoggingUnitTesting.Logger.LogInformation(string.Concat(methodBase.Name, " - Getting configuration"));
        _ = AdaptationTesting.GetWriteConfigurationGetFileRead(methodBase, check, EAFLoggingUnitTesting.AdaptationTesting);
        EAFLoggingUnitTesting.Logger.LogInformation(string.Concat(methodBase.Name, " - Exit"));
    }

#if DEBUG
    [Ignore]
#endif
    [TestMethod]
    public void Staging__v2_39_0__MET08DDUPSFS6420__MET08DDUPSFS6420__________()
    {
        string check = "~IsManualOIEntry";
        MethodBase methodBase = new StackFrame().GetMethod();
        EAFLoggingUnitTesting.Logger.LogInformation(string.Concat(methodBase.Name, " - Getting configuration"));
        _ = AdaptationTesting.GetWriteConfigurationGetFileRead(methodBase, check, EAFLoggingUnitTesting.AdaptationTesting);
        EAFLoggingUnitTesting.Logger.LogInformation(string.Concat(methodBase.Name, " - Exit"));
    }

}
#endif